#include<iostream>
using namespace std;

int main(){
    int k;
    cin >> k;
    int br = k * 3;
    cout << br;
    for(int i = 0; i < br; i++){
        cout << i << " " << 0 << endl;
        cout << i << " " << 1 << endl;
        cout << i << " " << 2 << endl;
    }

    return 0;
}